#include "../../../lib/std.mi"

#define CUSTOM_VOL_VAR MiniVol
#include "customvol.m"

#define CUSTOM_SEEK_VAR ShadeSeek
#include "customseek.m"
#undef CUSTOM_SEEK_VAR
#define CUSTOM_SEEK_VAR MiniSeek
#include "customseek.m"

Global Map SeekMap, VolumeMap, ShadeMap;

Global Wac MainComp, Playlist;

Global int isEQOpen;

Class GuiObject HintObject;
Class Button HintButton;

Global HintObject Volume, VolumeGhost, Seek, SeekGhost, Shade, ShadeGhost;
Global HintButton EQPush, PauseB, PlayB;

System.onScriptUnloading() {
 _MiniSeekShutdown();
 _ShadeSeekShutdown();
}

System.onScriptLoaded() {
  // Get Main and playlist components
  MainComp = getWac("{3CBD4483-DC44-11d3-B608-000086340885}");
  Playlist = getWac("{45F3F7C1-A6F3-4EE6-A15E-125E92FC3F8D}");

  Layout mainnormal = getContainer("Main").getLayout("Normal");
  Layout mainshade = getContainer("Main").getLayout("Shade");

  Group ShadeWindow = getContainer("Main").getLayout("Shade").getObject("shadewindows");
  Group ShadeCControls = getContainer("Main").getLayout("Shade").getObject("shadeccontrols");

  Group RightWindow = getContainer("Main").getLayout("Normal").getObject("rightwindow");
  Group LeftWindow = getContainer("Main").getLayout("Normal").getObject("leftwindow");
  Group EQSlider = leftWindow.getObject("eqslider");

  EQPush = EQSlider.getObject("push");
  isEQOpen = 0;

  PauseB = ShadeCControls.getObject("pause");
  PlayB = ShadeCControls.getObject("play");

  int IsPlayingInt = System.getLeftVuMeter();
  if (IsPlayingInt != 0) { 
    PlayB.hide();
  } else { 
    PauseB.hide();
  }

  Shade = ShadeWindow.getObject("shadeseek");
  ShadeGhost = ShadeWindow.getObject("shadeseekfull");

  Seek = LeftWindow.getObject("seek");
  SeekGhost = LeftWindow.getObject("seekfull");

  Volume = RightWindow.getObject("volume");
  VolumeGhost = RightWindow.getObject("volumefull");

  ShadeMap = new Map;
  ShadeMap.loadMap("player.shade.seek.map");

  SeekMap = new Map;
  SeekMap.loadMap("player.main.lw.seek.map");
  
  VolumeMap = new Map;
  VolumeMap.loadMap("player.main.rw.volume.map");

  _ShadeSeekInit(Shade,ShadeGhost,ShadeMap);
  _MiniSeekInit( Seek, SeekGhost, SeekMap);
  _MiniVolInit( Volume, VolumeGhost, VolumeMap);

}

System.onPlay() {
  PlayB.hide();
  PauseB.show();
  _MiniSeekTimer.start();
  _ShadeSeekTimer.start();
}

System.onStop() {
  PlayB.show();
  PauseB.hide();
  _MiniSeekTimer.stop();
  _ShadeSeekTimer.stop();
  _MiniSeekTimer.onTimer();
  _ShadeSeekTimer.onTimer();
}

EQPush.onLeftClick() {
  Group LeftWindow = getContainer("Main").getLayout("Normal").getObject("leftwindow");
  Group EQSlider = leftWindow.getObject("eqslider");

  if (isEQOpen == 1) {
	EQSlider.setTargetX(125);
	EQSlider.setTargetY(1);
	EQSlider.setTargetSpeed(1);

	EQSlider.gotoTarget();
  	isEQOpen = 0;
  } else {
	EQSlider.setTargetX(39);
	EQSlider.setTargetY(1);
	EQSlider.setTargetSpeed(1);

	eqSlider.gotoTarget();
  	isEQOpen = 1;
  }
}